Bug 240642 - (pidgin-libnotify) Review Request: pidgin-libnotify - Libnotify Pidgin plugin
Review Request: pidgin-libnotify - Libnotify Pidgin plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: 237264
  Show dependency treegraph
 
Reported: 2007-05-19 01:59 EDT by Peter Gordon
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 21:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-05-19 01:59:57 EDT
Spec URL: http://thecodergeek.com/downloads/fedora/SPECs/pidgin-libnotify.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/SRPMs/pidgin-libnotify-0.12-6.fc7.src.rpm

As I discussed with Warren Togami via IRC earlier this evening, this is the new package for the libnotify plugin now that Gaim has been renamed to Pidgin. I've emailed the upstream author to ask him about the rename again. 

It builds fine in mock; and works just fine with Pidgin 2.0.0-3.fc7 from my testing. Rpmlint is silent on both the source and binary RPMs.

Thanks.
Comment 1 Mamoru TASAKA 2007-05-19 02:51:35 EDT
? While you renamed the package name to pidgin-libnotify,
  why did you leave the name of the module as gaim-libnotify.so
  and gettext .mo files as gaim-libnotify??

* Why do you have this package provide "gaim-libnotify = 0.12-6",
  not gaim-libnotify = %{version}-%{release}" ?
Comment 2 Mamoru TASAKA 2007-05-19 03:13:49 EDT
* And also check documentation. At least the contents
  of README should be fixed.
Comment 3 Peter Gordon 2007-05-19 03:52:24 EDT
(In reply to comment #1)
> ? While you renamed the package name to pidgin-libnotify,
>   why did you leave the name of the module as gaim-libnotify.so
>   and gettext .mo files as gaim-libnotify??

The current patch merely fixes it to build against the new API of
Pidgin/Libpurple. The output shared library and gettext modules are not renamed
because it did not seem necessary to do so to provide the functionality of the
plugin (and would increase the amount of downstream patching for an
insignificant benefit).
 

> * Why do you have this package provide "gaim-libnotify = 0.12-6",
>   not gaim-libnotify = %{version}-%{release}" ?

Hmm. I don't remember why I hardcoded those. :) Fixed in 0.12-7, and the files
are on my webspace:

Spec: http://thecodergeek.com/downloads/fedora/SPECs/pidgin-libnotify.spec
SRPM:
http://thecodergeek.com/downloads/fedora/SRPMs/pidgin-libnotify-0.12-7.fc7.src.rpm

(In reply to comment #2)
> * And also check documentation. At least the contents
>   of README should be fixed.

I didn't include the README because it contains nothing relevant to this
package, just a brief description (which the RPM information already contains)
and some generic build instructions (which are unnecessary for end-users):

"gaim-libnotify

About
=====
Gaim-libnotify provides a libnotify interface to Gaim

INSTALL
=======
./configure --with-gaim=PATH/TO/GAIM
make
make install"
Comment 4 Mamoru TASAKA 2007-05-19 04:15:46 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > ? While you renamed the package name to pidgin-libnotify,
> >   why did you leave the name of the module as gaim-libnotify.so
> >   and gettext .mo files as gaim-libnotify??
> 
> The current patch merely fixes it to build against the new API of
> Pidgin/Libpurple. 
Okay.


> > * Why do you have this package provide "gaim-libnotify = 0.12-6",
> >   not gaim-libnotify = %{version}-%{release}" ?
> 
> Fixed in 0.12-7, and the files
Confirmed.

> (In reply to comment #2)
> > * And also check documentation. At least the contents
> >   of README should be fixed.
> 
> I didn't include the README 
Actually... Okay.

--------------------------------------------
This package (pidgin-libnotify) is APPROVED by me
--------------------------------------------
Comment 5 Peter Gordon 2007-05-19 04:29:47 EDT
Yay; thanks, Mamoru Tasaka!

New Package CVS Request
=======================
Package Name: pidgin-libnotify
Short Description: Libnotify Pidgin plugin
Owners: peter@thecodergeek.com
Branches: F-7 devel

Note You need to log in before you can comment on or make changes to this bug.